server:
  port: 5003
# 加解密根密码
jasypt:
  encryptor:
    password: yifu #根密码
# 暴露监控端点
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS

# mybaits-plus配置
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    banner: false
    db-config:
      id-type: auto
      table-underline: true
      logic-delete-value: 1
      logic-not-delete-value: 0
  configuration:
    map-underscore-to-camel-case: true
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

# spring security 配置
security:
  oauth2:
    resource:
      loadBalanced: true
      token-info-uri: http://yifu-auth/oauth/check_token
    ignore: # 通用放行URL，服务个性化，请在对应配置文件覆盖
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**
        - /taveragesalary/getAverageSalary
        - /tbankset/getWebcBankSetIdNameList
        - /tsalaryemployee/inner/getEmpTaxMonth
        - /tsalaryemployee/inner/getSalaryEmployee
        - /tsalaryemployee/inner/savePreNewEmpInfo
        - /tmobilechangeinfo/add # 工资条换号申请不需要token
        - /tquestionfeedbackinfo/add # 工资条问题反馈不需要token
        - /salaryEmployeeSelect/getSalaryAccountForm  # 工资条查询通过openId控制
        - /salaryEmployeeSelect/getSalaryAccount # 工资条查询明细通过openId控制
        - /tsalaryatta/ossUploadFile  # 工资条查询附件上传 无token
        - /tsalaryatta/ossFileDelete/** # 工资条查询附件上传删除 无token
        - /tinsuranceunpurchaseapply/temp/{id} # 临时调试


# 文件上传相关 支持阿里云、华为云、腾讯、minio
oss:
  endpoint: http://oss-cn-beijing.aliyuncs.com
  accessKey: LTAIDh9goA3jgpun
  secretKey: eN8EHPAZxglNfcUCMhAT02cy93omLa
  bucket-name: yf-hr-static-source
# swagger 配置
#swagger:
#  enabled: true
#  title: Yifu Swagger API
#  gateway: http://${GATEWAY_HOST:yifu-gateway}:${GATEWAY-PORT:9999}
#  token-url: ${swagger.gateway}/auth/oauth/token
#  services:
#    yifu-upms-biz: admin
#    yifu-codegen: gen
# Spring 相关
spring:
  application:
    name: @artifactId@
  #mvc:
  #  pathmatch:
  #    matching-strategy: ANT_PATH_MATCHER
  servlet:
    multipart:
      #所有上传文件最大大小
      max-request-size: 250MB
      #单个文件最大大小
      max-file-size: 50MB
#swagger 文档 https://springdoc.org/
### OpenAPI3 注解
#  OpenAPI 3	                            注解位置
#  @Tag(name = “接口类描述”)	                Controller 类上
#  @Operation(summary =“接口方法描述”)	    Controller 方法上
#  @Parameters	                            Controller 方法上
#  @Parameter(description=“参数描述”)	    Controller 方法上 @Parameters 里
#  @Parameter(description=“参数描述”)	    Controller 方法的参数上
#  @Parameter(hidden = true) 或 @Hidden	--
#  @Schema	                                DTO类上
#  @Schema	                                DTO属性上

springdoc:
  api-docs:
    #是否开启文档功能
    enabled: true
    #swagger后端请求地址
    path: /api-docs
  swagger-ui:
    #自定义swagger前端请求路径，输入http：127.0.0.1:8080/test会自动重定向到swagger页面
    path: /api
  #包扫描路径
  packages-to-scan: com.yifu.cloud.plus.v1.yifu.salary.controller
  #这里定义了两个分组，可定义多个，也可以不定义
  group-configs:
    #分组名
    #- group: admin
    #按路径匹配
    #  pathsToMatch: /admin/**
    #分组名
    - group: salary
      #按包路径匹配
      packagesToScan: com.yifu.cloud.plus.v1.yifu.salary.controller
